Get procore schedules 1

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /company/{companyId}/procore/{procoreCompanyId}/project/{procoreProjectId}/schedules

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • companyId string Required
  • procoreProjectId integer(int64) Required
  • procoreCompanyId integer(int64) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • isValid boolean
    • schedules array[object]
      Hide schedules attributes Show schedules attributes object
      • name string
      • url string
      • validation object
        Hide validation attributes Show validation attributes object
        • valid boolean
        • fileId string(uuid)
        • message string
        • errorCode string
      • projectSource string

        Values are SmartPM, XER, MPP, Excel, PMXML, PPX, or PP.

    • message string
GET /company/{companyId}/procore/{procoreCompanyId}/project/{procoreProjectId}/schedules
curl \
 --request GET 'https://live.smartpmtech.com/company/{companyId}/procore/{procoreCompanyId}/project/{procoreProjectId}/schedules' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "isValid": true,
  "schedules": [
    {
      "name": "string",
      "url": "string",
      "validation": {
        "valid": true,
        "fileId": "string",
        "message": "string",
        "errorCode": "string"
      },
      "projectSource": "SmartPM"
    }
  ],
  "message": "string"
}